Runs
Create a Run
Queue a scrape for a ready job.
POST
/v1/jobs/:id/runsRequires authentication
The job must have status: ready.
Path parameters
| Name | Type | Description |
|---|---|---|
| idrequired | uuid | Job ID with mapping in `ready` state. |
Body parameters
| Name | Type | Description |
|---|---|---|
| max_pagesoptional | integer | Maximum listing pages for this run.Default: 10 |
Poll Get a Run until status is completed or failed.
curl -X POST https://api.gluecrawl.ai/v1/jobs/JOB_ID/runs \ -H "Authorization: Bearer glue_yourApiKeyHere" \ -H "Content-Type: application/json" \ -d '{ "max_pages": 10 }'Responses
application/json
{ "id": "660e8400-e29b-41d4-a716-446655440001", "job_id": "550e8400-e29b-41d4-a716-446655440000", "status": "queued", "protection_level": "light", "max_pages": 10, "item_count": null, "page_count": null, "credits_used": null, "billing": null, "error": null, "created_at": "2026-04-01T09:01:00Z", "completed_at": null}